Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 635860 (CVE-2017-15996) - <sys-devel/binutils-2.29.1-r1: remote denial of service via crafted ELF file
Summary: <sys-devel/binutils-2.29.1-r1: remote denial of service via crafted ELF file
Status: RESOLVED FIXED
Alias: CVE-2017-15996
Product: Gentoo Security
Classification: Unclassified
Component: Vulnerabilities (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Security
URL:
Whiteboard: A3 [glsa cve]
Keywords:
Depends on:
Blocks:
 
Reported: 2017-10-30 00:42 UTC by Aleksandr Wagner (Kivak)
Modified: 2018-01-07 23:12 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aleksandr Wagner (Kivak) 2017-10-30 00:42:10 UTC
CVE-2017-15996 (http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2017-15996):

elfcomm.c in readelf in GNU Binutils 2.29 allows remote attackers to cause a denial of service (excessive memory allocation) or possibly have unspecified other impact via a crafted ELF file that triggers a "buffer overflow on fuzzed archive header," related to an uninitialized variable, an improper conditional jump, and the get_archive_member_name, process_archive_index_and_symbols, and setup_archive functions. 

References:

https://sourceware.org/bugzilla/show_bug.cgi?id=22361
https://sourceware.org/git/gitweb.cgi?p=binutils-gdb.git;h=d91f0b20e561e326ee91a09a76206257bde8438b
Comment 1 Mike Gilbert gentoo-dev 2017-10-30 00:50:23 UTC
How is this a *remote* DOS if it requires reading an ELF file?
Comment 2 Andreas K. Hüttel gentoo-dev 2017-10-30 00:54:56 UTC
That's something I don't understand either...
Comment 3 Andreas K. Hüttel gentoo-dev 2017-11-17 22:44:52 UTC
In master, will be in 2.30; patch added to gentoo/binutils-2.29.1 branch
Comment 4 Andreas K. Hüttel gentoo-dev 2017-12-27 22:56:39 UTC
All affected versions are masked. No further cleanup (toolchain package). 

Nothing to do for toolchain here anymore. Please proceed.
Comment 5 D'juan McDonald (domhnall) 2018-01-05 06:49:12 UTC
Added to existing GLSA request.


Gentoo Security Padawan
(Jmbailey/mbailey_j)
Comment 6 GLSAMaker/CVETool Bot gentoo-dev 2018-01-07 23:12:47 UTC
This issue was resolved and addressed in
 GLSA 201801-01 at https://security.gentoo.org/glsa/201801-01
by GLSA coordinator Aaron Bauman (b-man).